# HIRATA Yasuyuki's Tiny BBS configuration file
# $Id: config.pl,v 1.2 2007/08/10 06:13:57 yasu Exp $

use strict;
use vars qw[%CONFIG];

%CONFIG = (data_file => "tinybbs.dat",
	   admin_addr => 'sakura@moemoe.example',
	   max_articles => 20,
	   title => "HIRATA Yasuyuki's Tiny BBS");

########################################

$CONFIG{html_header} = << "EOF"
<?xml version="1.0" encoding="iso-2022-jp"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
              "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<head>
<title>$CONFIG{title}</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-2022-jp" />
<link rev="made" href="mailto:$CONFIG{admin_addr}" />
</head>
<body>

<h1>$CONFIG{title}</h1>

EOF
;

########################################

$CONFIG{html_footer} = << "EOF";
<hr />

<p><a href="http://www.asuka.net/~yasu/">HIRATA Yasuyuki</a>\'s
Tiny BBS (sample BBS CGI program)<br />
$RCSID</p>

</body>
</html>
EOF
;

########################################

$CONFIG{html_form} = << "EOF";
<form action="$MYNAME" method="POST">
<p><input type="hidden" name="action" value="post" />
<strong>ȥ (S):</strong>
  <input name="subject" size="40" value="" accesskey="S" tabindex="1" /><br />
<strong>̾ (N):</strong>
  <input name="name" size="20" value="" accesskey="N" tabindex="2" />
<strong>᡼ (M):</strong>
  <input name="mail" size="20" value="" accesskey="M" tabindex="3" /><br />
<textarea name="body" cols="70" rows="10" accesskey="B" tabindex="4">
</textarea><br />
<input type="submit" value="" accesskey="X" tabindex="5" />
<input type="reset" value="õ" accesskey="R" tabindex="6" /></p>
</form>
EOF
;

########################################

$CONFIG{sub_html_article} = sub {
    local $_;
    my($body, %fields) = @_;

    $fields{mail} = uri_escape_opaque($fields{mail});
    $_ = html_cdata($_) foreach (@fields{qw[subject name mail]}, $body);

    my $date = localtime $fields{date};

    return << "EOF";
<hr />

<h2>$fields{subject}</h2>

<p><a href="mailto:$fields{mail}">$fields{name}</a> [$date]</p>
<pre>
$body
</pre>

EOF
;
};

########################################

chomp($CONFIG{errmsg_file_open} = << "EOF");
<strong>ե򳫤ޤ:</strong>
ǡե¸, ѡߥåǧƲ.
(CGIץμ¸UIDǥǡեɤ߽񤭤ɬפޤ.)
EOF
;

########################################

$CONFIG{errmsg_file_lock} = "<strong>եåǤޤ</strong>";

########################################

$CONFIG{sub_html_error} = sub {
    print jcode::jis(<< "EOF");
<H2>顼</h2>

<p>@{[join "\n", @_]}</p>

EOF
;
};

1;
